unit frmor;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MediaLib, ExtCtrls, StdCtrls, regions, Buttons;

type
  TfrmMorph = class(TForm)
    mlRegionForm1: TmlRegionForm;
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    Label2: TLabel;
    Image1: TImage;
    Morph: TmlMorphing;
    Image2: TImage;
    btnMorph: TBitBtn;
    BitBtn1: TBitBtn;
    Val: TEdit;
    procedure btnMorphClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMorph: TfrmMorph;

implementation

{$R *.DFM}


procedure TfrmMorph.btnMorphClick(Sender: TObject);
begin
  Morph.Step := StrToInt(Val.Text);
  Morph.Morphing;
end;

procedure TfrmMorph.FormCreate(Sender: TObject);
begin
  Morph.Source := Image1.Picture.Bitmap;
  Morph.Dest := Image2.Picture.Bitmap;
end;

procedure TfrmMorph.RadioGroup1Click(Sender: TObject);
begin
  // change direction
  If RadioGroup1.ItemIndex = 0 Then
    Morph.Direct := mdForward
  else
    Morph.Direct := mdBackward;
end;

end.
